import { PkgItem, ProjectCompiler, BaseProject, NessPkgItem } from '@thing.js/cli-utils';
import * as rollup from 'rollup';

declare function getRollupConfig(pkg: PkgItem, compiler: ProjectCompiler): {
    input: {
        [x: number]: string;
    };
    plugins: rollup.Plugin[];
    output: {
        format: string;
    };
};

declare class PluginProject extends BaseProject {
    hasPkgJson(dirPath: string): boolean;
    getPackageInfo(dirPath: string): NessPkgItem;
    onBuild(): Promise<any>;
}
declare const _default: (api: any) => void;

export { PluginProject, _default as default, getRollupConfig };
